Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMComplexExtension

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMExtension
                  |
                  +--com.bea.schema.SOMComplexExtension

Direct Known Subclasses:
  SOMComplexRestriction

public class SOMComplexExtension
extends SOMExtension

<extension> This class acts as a wrapper to extension elements for complexContent.

Since:
  9/1/2001
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `SOMComplexExtension(SOMObject parent, org.xml.sax.Attributes attrs)`
`` | `SOMComplexExtension(SOMType base)` Constructs a new <extension> element of a given base type.

Method Summary
`SOMAll` | `addAll()`
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`SOMChoice` | `addChoice()`
`SOMGroup` | `addGroup()`
`SOMSequence` | `addSequence()`
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)` Not implemented.
`SOMGroupType` | `getGroup()`
`SOMGroupType` | `removeGroup()`
`void` | `setBase(java.lang.String type)` performs a type lookup for the type name.
`SOMGroupType` | `setGroup(SOMGroupType group)`
`void` | `toXML(java.io.Writer rtn, int indent)`
`protected void` | `validate(org.w3c.dom.Node element, java.util.List errorList)` Not implemented.

Methods inherited from class com.bea.schema.SOMExtension
`addAnnotation, addAttribute, addAttribute, addAttribute, addAttributeGroup, contains, getAnnotation, getAttributeElements, getAttributeGroups, getAttributes, getBase, getID, listAttributesExtended, removeAllAttributeGroups, removeAllAttributes, removeAnnotation, removeAttribute, removeAttributeGroup, setBase, toXMLChildren`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMComplexExtension

    public SOMComplexExtension(SOMType base)

  Constructs a new <extension> element of a given base type.

  Parameters:
    `base` - type to be extended.

### SOMComplexExtension

    protected SOMComplexExtension(SOMObject parent,
                                  org.xml.sax.Attributes attrs)

Method Detail

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMExtension

### setBase

    public void setBase(java.lang.String type)

  performs a type lookup for the type name.

  Parameters:
    `type` - type name to lookup
  Overrides:
    setBase in class SOMExtension

### getGroup

    public SOMGroupType getGroup()

### setGroup

    public SOMGroupType setGroup(SOMGroupType group)

### addSequence

    public SOMSequence addSequence()

### addChoice

    public SOMChoice addChoice()

### addAll

    public SOMAll addAll()

### addGroup

    public SOMGroup addGroup()

### removeGroup

    public SOMGroupType removeGroup()

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMExtension

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Not implemented.

  Parameters:
    `options` -
    `current` -
  Overrides:
    createDefault in class SOMExtension

### validate

    protected void validate(org.w3c.dom.Node element,
                            java.util.List errorList)

  Not implemented.

  Parameters:
    `element` -
    `errorList` -
  Overrides:
    validate in class SOMExtension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)